Digital Art Zone

 
   
1 of 2
1
Measure Metrics is not a valid plugin ?
Posted: 22 March 2014 07:28 AM   [ Ignore ]
Member
Rank
Total Posts:  51
Joined  2005-01-14

I just installed this thing and it doesn’t work at all, the plugin is red and says it’s not a valid plugin… I’m using DS 4.6.1.17

Plug-in failed to load!
Filename:
C:/Program Files/DAZ 3D/DAZStudio4/plugins/dzmeasuremetrics.dll
Plug-in:
dzmeasuremetrics
Author:
Unknown
Version:
0.0.0.0
Reason:
Library could not be loaded. File is not a valid DAZ Studio plug-in, or was made for a different version of DAZ Studio.

Unknown

Profile
 
 
Posted: 22 March 2014 08:45 AM   [ Ignore ]   [ # 1 ]
Active Member
Avatar
RankRank
Total Posts:  414
Joined  0

Current version of DS4 is 4.6.2.118, that’s probably the version the plugin needs.

Profile
 
 
Posted: 22 March 2014 08:57 AM   [ Ignore ]   [ # 2 ]
Member
Rank
Total Posts:  51
Joined  2005-01-14

That’s a refund then, thanks.

Profile
 
 
Posted: 22 March 2014 09:13 AM   [ Ignore ]   [ # 3 ]
Power Member
RankRankRank
Total Posts:  1378
Joined  2004-06-13

You can upgrade to DS 4.6.2.118 for free, in fact it should already be the version in your Product Library.

 Signature 

Push buttons, see what happens!

Profile
 
 
Posted: 22 March 2014 09:39 AM   [ Ignore ]   [ # 4 ]
Member
Rank
Total Posts:  51
Joined  2005-01-14

You haven’t lost many hours of work, scenes and models going from 3 to 4, 4 to 4.5, and 4.5 to 4.6 it seems. Unfortunately for me, I have. DS software is a ticking time bomb, I only upgrade if a major thing like Genesis comes out and if I really want to risk loosing everything, so no way in hell for this measure stuff

If the plugin requires a specific version they should clearly state so on the product page, I wouldn’t have bought it if I had known before hand.

Profile
 
 
Posted: 22 March 2014 12:58 PM   [ Ignore ]   [ # 5 ]
Addict
Avatar
RankRankRankRank
Total Posts:  4994
Joined  2005-08-03
awz4158 - 22 March 2014 09:39 AM

You haven’t lost many hours of work, scenes and models going from 3 to 4, 4 to 4.5, and 4.5 to 4.6 it seems. Unfortunately for me, I have. DS software is a ticking time bomb, I only upgrade if a major thing like Genesis comes out and if I really want to risk loosing everything, so no way in hell for this measure stuff

If the plugin requires a specific version they should clearly state so on the product page, I wouldn’t have bought it if I had known before hand.

What you’re describing are all major upgrades. 4.6.1.17 to the newest isn’t a major upgrade since both are 4.6 versions.

 Signature 

Wearing duck crap doesn’t make you a duck - Floki
@Deviantart | @ShareCG
Tutorial: V4 Transmap Brows on Genesis (DS)
Free Script: Bulk convert V4/M4 mats for Genesis2 (DS/Poser)

Profile
 
 
Posted: 22 March 2014 02:04 PM   [ Ignore ]   [ # 6 ]
Administrator
Avatar
RankRankRankRank
Total Posts:  7977
Joined  2006-03-19
awz4158 - 22 March 2014 09:39 AM

You haven’t lost many hours of work, scenes and models going from 3 to 4, 4 to 4.5, and 4.5 to 4.6 it seems. Unfortunately for me, I have. DS software is a ticking time bomb, I only upgrade if a major thing like Genesis comes out and if I really want to risk loosing everything, so no way in hell for this measure stuff

If the plugin requires a specific version they should clearly state so on the product page, I wouldn’t have bought it if I had known before hand.

DAZ does have a no questions asked 30 day return policy. It does say it requires DAZ Studio 4.6

Image Attachments
MM.jpg
 Signature 

ARTCollaborations Store on DAZ3D    ARTCollaborations on Facebook

*****Ravenwood Cemetery*****  

 

Profile
 
 
Posted: 22 March 2014 02:50 PM   [ Ignore ]   [ # 7 ]
Active Member
RankRank
Total Posts:  582
Joined  2003-10-09

And he has 4.6. That isn’t specific enough. I am having the same issue I think. It didn’t work for me either.

Profile
 
 
Posted: 22 March 2014 03:02 PM   [ Ignore ]   [ # 8 ]
New Member
Total Posts:  1
Joined  2011-11-07

In order for the plugin to work I had to download the installer (instead of using content manager).
Then after it installed, I started up daz and went to help/about installed plugins and pasted my measure metrics serial code that I got from my account area on this website. now it works fine.
I hope this helps. warderie

Profile
 
 
Posted: 22 March 2014 03:11 PM   [ Ignore ]   [ # 9 ]
Administrator
Avatar
RankRankRankRank
Total Posts:  7977
Joined  2006-03-19

I’m not entirely sure if it requires the current version or the stated version of 4.6 If I had to guess it would be the current 4.6.2.118.

 Signature 

ARTCollaborations Store on DAZ3D    ARTCollaborations on Facebook

*****Ravenwood Cemetery*****  

 

Profile
 
 
Posted: 22 March 2014 03:12 PM   [ Ignore ]   [ # 10 ]
Administrator
Avatar
RankRankRankRank
Total Posts:  17068
Joined  2003-10-09

It certainly has been strongly stated that it really does need to be installed using DIM, as a manual install is pretty complicated

I will see if I can find the posts about it

In the meantime there is this
http://wiki.daz3d.com/doku.php/public/software/dazstudio/4/referenceguide/plugins/measure_metrics/start

And found this post

DAZ_BHowell - 10 March 2014 11:44 AM

The best user experience is definitely for customers to use DIM to download and manage their content.

However, this particular product is broken up into several pieces… the plugin itself, a script, and “wearables” or presets that would be considered “content”.
DIM easily installs all of these pieces to the correct places. But because of the way the product is packaged, all of those pieces don’t show up in the product library.

In order to alleviate this in the short term,  the ZIP file is going to be made available so that anyone not using DIM can get all of the pieces.

The downside is that anyone not using DIM will need to be careful about where the respective pieces are installed.

And another post here which may be helpful

chorse - 12 March 2014 06:38 AM

ref. DAZ_BHowell post above.  Yes the figure metrics is available in a zip file from your account.  You still have to run the appropriate measures metrics installer first.  Then you must manually install the figure metrics directories/files to their rightful paths: For Windows 8 & probably Win 7; sorry no idea on MAC:

From the figure metrics zip:

1.  Copy All files and directories in the Appdata directory (not the directory itself) to your user profile’s appdata/roaming directory.  The Appdata is a hidden directory so you ill need admin permissions to unhide it by selecting “view hidden directories” in the windows file manager.

2.  Extract  the content, manifest.dsx, and supplement.dsx folder to the root directory of your DS4.6.2.xx folder.

At least this is how I did it and it seems to be working fine.

 

 Signature 

Chohole’s Space        NeilV’s Freebies and stuff        Winter Bryce Rendering Challenge        December Freebie Challenge
My DAZ 3D Gallery    11915

Profile
 
 
Posted: 22 March 2014 03:16 PM   [ Ignore ]   [ # 11 ]
Administrator
Avatar
RankRankRankRank
Total Posts:  7977
Joined  2006-03-19

Oh yeah, I totally forgot about that. If manually you need to move the files yourself which is why they want people to install it with DIM cause it will put it in the proper place hassle free.

 Signature 

ARTCollaborations Store on DAZ3D    ARTCollaborations on Facebook

*****Ravenwood Cemetery*****  

 

Profile
 
 
Posted: 22 March 2014 03:25 PM   [ Ignore ]   [ # 12 ]
Addict
Avatar
RankRankRankRank
Total Posts:  4524
Joined  2007-09-13

First are you 100/% sure the bit count is correct…it does say there are separate 32 and 64 bit versions…so they will need to match the version of DS installed…

Next…Windows or Mac?

Thirdly…if there is a problem, then it is most likely because of a newer build of the SDK than anything else.

Incremented the current/maximum SDK version to 4.6.2.107 to reflect additions made to the API since the General Release of 4.6.1.39. The minimum SDK version has not changed and remains at 4.5.0.100. Plugins compiled against the Public SDK should continue to load/function without need for re-compiling/re-publishing. Plugins compiled against the current SDK will not load in older versions of DAZ Studio.

(4.6.2.107 build)

Basically, it looks like this plugin was probably compiled with the most recent SDK…because it’s an ‘in house’ plugin, not a third-party one.  So yeah, an update would be needed.  It probably should have been compiled with the Public SDK instead…

 Signature 

1432 old posts

My ShareCG gallery.

Just because something costs a lot, doesn’t mean it’s the best…

It just means it’s expensive.

Profile
 
 
Posted: 22 March 2014 03:34 PM   [ Ignore ]   [ # 13 ]
Administrator
Avatar
RankRankRankRank
Total Posts:  7977
Joined  2006-03-19

I’m sure you know this already but worth saying again. Be sure your not trying to install the “Public Build” unless you have the beta of DS installed

 Signature 

ARTCollaborations Store on DAZ3D    ARTCollaborations on Facebook

*****Ravenwood Cemetery*****  

 

Profile
 
 
Posted: 23 March 2014 01:08 AM   [ Ignore ]   [ # 14 ]
Member
Rank
Total Posts:  51
Joined  2005-01-14
Frank0314 - 22 March 2014 02:04 PM
awz4158 - 22 March 2014 09:39 AM

You haven’t lost many hours of work, scenes and models going from 3 to 4, 4 to 4.5, and 4.5 to 4.6 it seems. Unfortunately for me, I have. DS software is a ticking time bomb, I only upgrade if a major thing like Genesis comes out and if I really want to risk loosing everything, so no way in hell for this measure stuff

If the plugin requires a specific version they should clearly state so on the product page, I wouldn’t have bought it if I had known before hand.

DAZ does have a no questions asked 30 day return policy. It does say it requires DAZ Studio 4.6

I have 4.6.1.17, which meets the stated requirement of 4.6—if it requires a specific version above 4.6.1.17 there is no mention of it, and it’s therefore misleading.

Regardless I’ve already asked for a refund, but if there’s people trying to figure out how to “properly install” with or without DIM, having to make experiments, and that sort of stuff, then it means IMHO the item was certainly not ready for a public availability release.

Profile
 
 
Posted: 23 March 2014 04:07 AM   [ Ignore ]   [ # 15 ]
Administrator
Avatar
RankRankRankRank
Total Posts:  17068
Joined  2003-10-09

The Official thread about the product release did have a lot of discussion about this. It is worth reading official release threads and posting your queries to them, rather than starting separate threads.  most of your questions and queries have already been answered there, including the reasons for why the plug in is somewhat difficult to install manually, as it is very specific as to where the various files need to be.

 Signature 

Chohole’s Space        NeilV’s Freebies and stuff        Winter Bryce Rendering Challenge        December Freebie Challenge
My DAZ 3D Gallery    11915

Profile
 
 
   
1 of 2
1